Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfIndexEntryChapterDisplayType

    java.lang.Object
      java.lang.Enum<OdfIndexEntryChapterDisplayType>
          org.odftoolkit.odfdom.dom.type.text.OdfIndexEntryChapterDisplayType

All Implemented Interfaces:
  Serializable, Comparable<OdfIndexEntryChapterDisplayType>

    public enum OdfIndexEntryChapterDisplayType

extends Enum<OdfIndexEntryChapterDisplayType>

Enum Constant Summary
`NAME`
`NUMBER`
`NUMBER_AND_NAME`
`PLAIN_NUMBER`
`PLAIN_NUMBER_AND_NAME`

Method Summary
`static OdfIndexEntryChapterDisplayType` | `enumValueOf(String _aString)`
`String` | `toString()`
`static String` | `toString(OdfIndexEntryChapterDisplayType _aEnum)`
`static OdfIndexEntryChapterDisplayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfIndexEntryChapterDisplayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUMBER

    public static final OdfIndexEntryChapterDisplayType NUMBER

### PLAIN_NUMBER_AND_NAME

    public static final OdfIndexEntryChapterDisplayType PLAIN_NUMBER_AND_NAME

### PLAIN_NUMBER

    public static final OdfIndexEntryChapterDisplayType PLAIN_NUMBER

### NAME

    public static final OdfIndexEntryChapterDisplayType NAME

### NUMBER_AND_NAME

    public static final OdfIndexEntryChapterDisplayType NUMBER_AND_NAME

Method Detail

### values

    public static OdfIndexEntryChapterDisplayType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfIndexEntryChapterDisplayType c : OdfIndexEntryChapterDisplayType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfIndexEntryChapterDisplayType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<OdfIndexEntryChapterDisplayType>`

### toString

    public static String toString(OdfIndexEntryChapterDisplayType _aEnum)

### enumValueOf

    public static OdfIndexEntryChapterDisplayType enumValueOf(String _aString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.